/**
 ** config.h
 ** 
 ** Please edit this file if you want to
 ** modify the default behavior of UModPlayer.
 **
 ** In each definition, such as:
 ** #define FOO_BAR 1234
 ** 
 ** you can edit the '1234' value.
 **
 ** If the value is a literal, please keep the
 ** quotes.
 **/

/*
 * UModPlayer version.
 * Usually you don't want to edit this :-)
 */
#define UMODPLAYER_VERSION "UModPlayer B5.1, September 2006"

/*
 * Default sampling rate.
 * Please note that LibModPlug (at least as of 0.7)
 * doesn't support higher values than 44100
 */
#define DEFAULT_SAMPLERATE 44100

/*
 * 'Preamble' to be used before a notice/error/warning
 * is displayed. By default we use ">>> ", but edit it
 * if it annoys you.
 */
#define PREAMBLE ">>> "

 /*
  * Buffer size for audio.
  * Smaller buffer sizes may increase the CPU usage.
  * The default value, 8192, should work fine in most configurations.
  * 
  * Note that the value must be divisible by 4.
  */
#define BUFFER_SIZE 8192


