/* $Id: io.c,v 1.2 2006/09/15 14:16:27 toad32767 Exp $ */
/**
 ** 2006 by Marco Trillo
 ** This file is part of UModPlayer, and is released by
 ** its autors to the Public Domain.
 ** In case it's not legally possible, its autors grant
 ** anyone the right to use, redistribute and modify
 ** this software for any purpose, without any conditions
 ** unless such conditions are required by law.
 ** 
 ** THIS FILE COMES WITHOUT ANY WARRANTY. THE AUTHORS
 ** SHALL NOT BE LIABLE FOR ANY DAMAGE RESULTING BY THE
 ** USE OR MISUSE OF THIS SOFTWARE.
 **/

#include <umodplayer.h>

#include <stdarg.h>

EXPORT void
notice (char* format, ...)
{
	va_list v;

	va_start(v, format);

	if (sets.verbosity > 0) {
		fputs(PREAMBLE, stdout);
		vprintf(format, v);
	}

	va_end(v);
}

EXPORT void
warning (char* format, ...)
{
	va_list v;

	va_start(v, format);
	fputs(PREAMBLE "WARNING: ", stderr);
	vfprintf(stderr, format, v);
	va_end(v);
}

EXPORT void
error (char* format, ...)
{
	va_list v;

	va_start(v, format);
	fputs(PREAMBLE "ERROR: ", stderr);
	vfprintf(stderr, format, v);
	va_end(v);
}

EXPORT uint16_t
bsLE16(uint16_t base)
{
	if (sets.endianness == BIG_ENDIAN) {
		return swap16(base);
	} else {
		return base;
	}
}

EXPORT uint32_t
bsLE32(uint32_t base)
{
	if (sets.endianness == BIG_ENDIAN) {
		return swap32(base);
	} else {
		return base;
	}
}

EXPORT uint32_t
bsBE32(uint32_t base)
{
	if (sets.endianness == LTE_ENDIAN) {
		return swap32(base);
	} else {
		return base;
	}
}


